#ifndef SHBF_M_H
#define SHBF_M_H

#include "define.h"
#include "BOBHash.h"

class ShBF_M 
{
public:
	ShBF_M();
	~ShBF_M();
	ShBF_M(uint m, uint k);
	uint insert(const uchar * str, uint len);
	uint query(const uchar * str, uint len);
public:

	uint64 * bf_base; //bloom filter base
	uint bf_m; //bloom filter length
	uint bf_k; //hash function numbers;
	uint bf_n; //# of elements inserted

	uint query_NUM;
	uint memacc_NUM;
	//pointers to hash function
	BOBHash bf_hfp[100];
};


#endif